Ticket #29333

Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

SSH 2 で接続中にリモートからの Port Forward の 開始・終了ができない

Open Date: 2012-08-22 20:15 Last Update: 2017-08-26 22:09

Reporter: maya Owner: doda
Type: Bugs Status: Closed
Component: TTSSH MileStone: Tera Term 4.96 (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

  • SSH 接続中に Remote to Local, X 転送を開始ができない (SSH1 ではできないので、今のままにしておくべき)
    • 転送設定追加時の「接続中に開始できない転送設定である」エラーのチェックを変更 at fwd.c:FWD_can_server_listen_for()
    • SSH接続時にしか RtoL, X 転送を始める処理を呼び出していないと思われるので、設定ダイアログ終了時にもそうする

  • SSH 接続中に Remote to Local, X 転送を終了できない (SSH1 ではできないので、今のままにしておくべき)
    • 設定自体は削除でき、fwd.c:FWD_open() に来たところでエラーになり転送はされない
    • 転送設定削除時にリモート側へキャンセル通知されていないため、リモート側の bind が残ったままになっている

  • SSH 切断時には SHELL の CHANNEL が先に切れる可能性があり、その後にキャンセル処理をするとエラーとなるかもしれないので、キャンセル通知はしないほうがいい?

c.f. ttssh2-devel 2134 のスレッド

Attachment File List

No attachments

Ticket History (3/35 Histories)

2012-08-22 20:15 Updated by: maya
  • New Ticket "SSH Port Forward の 開始・終了ができない" created
2012-11-19 21:20 Updated by: maya
2013-03-01 09:01 Updated by: None
2013-03-01 13:13 Updated by: maya
2013-06-01 09:01 Updated by: None
2013-06-01 11:56 Updated by: maya
2013-09-01 09:01 Updated by: None
2013-09-01 20:28 Updated by: maya
2013-12-01 00:17 Updated by: maya
2014-02-24 23:10 Updated by: maya
2014-03-10 00:15 Updated by: maya
2014-06-01 09:01 Updated by: None
2014-06-01 21:18 Updated by: maya
2014-08-28 09:23 Updated by: maya
2014-11-24 00:33 Updated by: maya
2015-02-28 22:35 Updated by: maya
2015-05-31 14:23 Updated by: maya
2015-09-01 09:01 Updated by: None
2015-09-02 00:17 Updated by: maya
2015-12-01 07:59 Updated by: maya
2016-03-01 09:01 Updated by: None
2016-03-06 19:32 Updated by: maya
2016-05-31 23:03 Updated by: maya
2016-08-22 20:27 Updated by: maya
2016-12-01 09:01 Updated by: None
2016-12-06 21:41 Updated by: maya
2017-03-01 09:01 Updated by: None
2017-03-14 19:55 Updated by: maya
2017-06-01 09:01 Updated by: None
2017-06-03 22:42 Updated by: maya
2017-07-08 22:31 Updated by: maya
  • Details Updated
2017-07-08 22:38 Updated by: maya
  • Summary Updated
2017-07-14 14:48 Updated by: doda
  • Owner Update from (None) to doda
  • Resolution Update from None to Accepted
2017-08-26 00:44 Updated by: doda
  • Resolution Update from Accepted to Fixed
Comment

r6902, r6903, r6905 で修正。

2017-08-26 22:09 Updated by: doda
  • Ticket Close date is changed to 2017-08-26 22:09
  • Status Update from Open to Closed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login